> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getBotLogs

> Get bot logs



## OpenAPI

````yaml admin-openapi.json get /v1/admin/bots/{id}/logs
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/bots/{id}/logs:
    get:
      tags:
        - Endpoints
      description: Get bot logs
      operationId: getBotLogs
      parameters:
        - name: id
          in: path
          description: Bot ID
          required: true
          schema:
            type: string
        - name: timeStart
          in: query
          description: Beginning of the time range to get logs from
          required: true
          schema:
            type: string
        - name: timeEnd
          in: query
          description: End of the time range to get logs from
          required: false
          schema:
            type: string
        - name: level
          in: query
          description: Filter by log level
          required: false
          schema:
            type: string
        - name: userId
          in: query
          description: Filter by user ID
          required: false
          schema:
            type: string
        - name: workflowId
          in: query
          description: Filter by workflow ID
          required: false
          schema:
            type: string
        - name: conversationId
          in: query
          description: Filter by conversation ID
          required: false
          schema:
            type: string
        - name: messageContains
          in: query
          description: Filter logs where the message contains this substring
          required: false
          schema:
            type: string
        - name: nextToken
          in: query
          description: Token to get the next page of logs
          required: false
          schema:
            type: string
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getBotLogsResponse'
        default:
          $ref: '#/components/responses/getBotLogsResponse'
components:
  responses:
    getBotLogsResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              logs:
                type: array
                items:
                  type: object
                  properties:
                    timestamp:
                      type: string
                    level:
                      type: string
                    message:
                      type: string
                    workflowId:
                      type: string
                    userId:
                      type: string
                    conversationId:
                      type: string
                  required:
                    - timestamp
                    - level
                    - message
              nextToken:
                type: string
            required:
              - logs
            title: getBotLogsResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````